Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_context_add_statement

## Name

librdf_model_context_add_statement -- Add a statement to a model with a context

## Synopsis

``int `librdf_model_context_add_statement`` (librdf_model* `model`, librdf_node* `context`, librdf_statement* `statement`);`

## Arguments

`model`

  librdf_model object

`context`

  librdf_node context

`statement`

  librdf_statement statement object

## Description

It must be a complete statement - all of subject, predicate, object parts must be present.

## Return value

Non 0 on failure

<<< Previous | Home | Next >>>
librdf_model_print | Up | librdf_model_context_add_statements